Cyberduck Mountain Duck CLI

#4387 closed defect (duplicate)

permissions for directories either lack "executable" or SGID bit.

Reported by: JensP Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.4.2
Severity: critical Keywords: directory permissions sftp scp SGID
Cc: jensp@… Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

Hi,

first of all: Thank you for this great tool. However, there is one major annoyance that keeps me from actually using it in a productive environment.

When creating new directories using SCP or SFTP mode, the created directories do take the SGID bit into account but set directories without executyble bit, resulting in access permission problems when uploading files into those directories.

Example:

drwxrws--- 2 user group 4.0K 2010-04-10 21:37 folder
~/ $ cd folder
~/folder $ mkdir example
~/folder $ ls -l 
$ drwxrws--- 2 user group 4.0K 2010-04-10 21:38 example

now I create a subfolder "cyber" with cyberduck and "ls" again.

drw-rwS--- 2 user group 4.0K 2010-04-10 21:38 cyber
drwxrws--- 2 user group 4.0K 2010-04-10 21:38 example

As you can see, the SGID bit is there, but the directory is created without "x" bit for either group or user. Setting the permissions in the settings, however, results in the SGID bit being ignored:

~/folder $ ls -l
drw-rwS--- 2 user group 4.0K 2010-04-10 21:38 cyber
drwxrwx--- 2 user group 4096 2010-04-10 22:27 cybex
drwxrws--- 2 user group 4.0K 2010-04-10 21:38 example

This leads to serious access permission problems in shared environments where group settings matter.

How is the creation of new directories handled to explain this behaviour? Using command line ssh access and the "mkdir" command results in correct permissions for the tested users.

I would greatly appreciate any help.

Cheers

JensP

Change History (3)

comment:1 Changed on Apr 11, 2010 at 7:27:17 AM by dkocher

  • Description modified (diff)
  • Resolution set to worksforme
  • Status changed from new to closed

Creating directories over SFTP will use the permissions set in Preferences → Transfer → Permissions → for Folders. Please double check your setting there (even if you have choosen to use the permissions from the local file when uploading, the other disabled setting still applies for making new folders over SFTP).

comment:2 Changed on Jun 12, 2013 at 4:23:56 PM by pcoloma

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Hello, I have a similar issue (4.3.2 version june 2013) when I create a directory from the menu bar it does not give me the default rights I set for directory in the general permissions.

I want people from the same group to be able to modify or delete a directory : 770. but after inspection I have 700. but it works well when I create a file from the menu. for the preferences to work I need to create the folder on the desktop and drag drop to the destination and I have the 770 permission I want. Maybe I'm being too fussy ! For a product that is probably the best transfer program I have come across for years. if you have more info on this I'll be happy to read it. Regards.

comment:3 Changed on Aug 18, 2013 at 4:03:54 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #3790. Changing permissions resets extended access rights flags.

Note: See TracTickets for help on using tickets.
swiss made software